
QGIS Application - Feature request #2000

Add a "don't make caps at the end of polylines" and "side" options in the buffer tool

2009-10-12 02:09 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 12060

Description

The first one is available in GRASS v.buffer, but this misses a option to avoid the dissolve of buffer results, so actually we have a kind of

incomplete buffer tool in both QGIS and GRASS.

The second option (missing also in v.buffer) would be very useful in some cases and coupled with the above one would complete the

buffer tool and give ex arc* user the same options they were used to.

History

#1 - 2011-03-07 04:29 PM - cfarmer -

This functionality has recently been added to JTS, which means that it should be available in GEOS sometime in the near future. Once this happens, it will

make it into QGIS, at which point it will be implemented. Apologies for the delay, but at this stage there is no point in duplicating work if it has already been

done 'down the line'.

I am updating the milestone for now to reflect this 'waiting'.

Carson

#2 - 2011-03-21 04:17 AM - Giovanni Manghi

see also #3653

#3 - 2012-10-06 02:34 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2014-06-20 03:39 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Status info deleted (0)

- Operating System deleted (All)

- Priority changed from Low to Normal

- Assignee deleted (cfarmer -)

#5 - 2014-06-20 12:02 PM - Giovanni Manghi

- Category changed from 44 to 94

- Subject changed from Ftools -> add a "don't make caps at the end of polylines" and "side" options in the buffer tool to Add a "don't make caps at the 

end of polylines" and "side" options in the buffer tool

#6 - 2015-06-07 04:01 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
#7 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#8 - 2018-01-15 04:42 AM - Nyall Dawson

- Status changed from Open to Closed

- Description updated

- Resolution set to fixed/implemented

Implemented since QGIS 2. something
